Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssMdAxis

All Superinterfaces:
  IEssBaseObject

public interface IEssMdAxis
extends IEssBaseObject

The IEssMdAxis interface. This represents an axis in the multi-dimensional result set returned by an MDX query operation.

Method Summary
`IEssMdCluster[]` | `getAllClusters()` Returns an array of all the clusters in this axis.
`IEssMdMember[]` | `getAllDimensions()` Returns an array of all dimensions in this axis.
`IEssMdMember[]` | `getAllTupleMembers(int tupleindex)` Returns an array of this axis's tuple members at a given tuple index.
`int` | `getClusterCount()` Gets the number of clusters in this axis.
`int` | `getDimensionCount()` Gets the number of dimensions in this axis.
`int` | `getTupleCount()` Gets the number of tuples in this axis.
`boolean` | `isSlicerAxis()` Checks if this axis is a slicer axis.

Method Detail

### isSlicerAxis

    public boolean isSlicerAxis()
                         throws EssException

  Checks if this axis is a slicer axis.

  Returns:
    True if the axis is a slicer axis, false otherwise.
  Throws:
    `EssException` - if an error occurs.

### getTupleCount

    public int getTupleCount()
                      throws EssException

  Gets the number of tuples in this axis.

  Returns:
    The number of tuples in this axis.
  Throws:
    `EssException` - if an error occurs.

### getClusterCount

    public int getClusterCount()
                        throws EssException

  Gets the number of clusters in this axis.

  Returns:
    The number of clusters in this axis.
  Throws:
    `EssException` - if an error occurs.

### getDimensionCount

    public int getDimensionCount()
                          throws EssException

  Gets the number of dimensions in this axis.

  Returns:
    Number of dimensions in this axis.
  Throws:
    `EssException` - if an error occurs.

### getAllDimensions

    public IEssMdMember[] getAllDimensions()
                                    throws EssException

  Returns an array of all dimensions in this axis.

  Returns:
    An array of IEssMdMember interface.
  Throws:
    `EssException` - if an error occurs.

### getAllTupleMembers

    public IEssMdMember[] getAllTupleMembers(int tupleindex)
                                      throws EssException

  Returns an array of this axis's tuple members at a given tuple index.

  Parameters:
    `tupleindex` - The tuple index for which to get the members.
  Returns:
    An array of IEssMdMember interface.
  Throws:
    `EssException` - if an error occurs.

### getAllClusters

    public IEssMdCluster[] getAllClusters()
                                   throws EssException

  Returns an array of all the clusters in this axis.

  Returns:
    An array of IEssMdCluster interface.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD